%define		_modname	ares
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)

Summary:	%{_modname} - asynchronous resolver
Summary(pl):	%{_modname} - asynchroniczny resolver
Name:		php-pecl-%{_modname}
Version:	0.6.0
Release:	4
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	9cc3a6713abe621a391e014c10b923d2
URL:		http://pecl.php.net/package/ares/
BuildRequires:	c-ares-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binding for the ares (MIT) or c-ares (CURL) library.

In PECL status of this extension is: %{_status}.

%description -l pl
Dowizania do biblioteki ares (MIT) lub c-ares (CURL).

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/conf.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{extensionsdir}

cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,EXPERIMENTAL}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-ares.git;a=log;h=AC-branch

* Thu Mar 01 2012 Elan Ruusamäe <glen@pld-linux.org> 5b47f45
- release 4

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 6489bf7
- rel 2 (php 5.2.0)

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> bf69c3d
- updated to 0.6.0

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 9b2e4f6
- BR rpmmacros for fixed %requires_php_extension

* Sun Apr 23 2006 Adam Gołębiowski <adamg@pld-linux.org> 2890831
- new

